Story6/urls.py
from django.urls import path

from . import views

app_name = 'Story6'

urlpatterns = [
	path('', views.list_kegiatan, name='kegiatan'),
    path('tambahpeserta', views.tambah_peserta, name='tambahpeserta'),
    path('tambahkegiatan', views.tambah_kegiatan, name='tambahkegiatan'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('home', views.home, name='home'),
    path('story1', views.story1, name='story1'),
    path('experience', views.experience, name='experience'),

]

zulfandinca_story/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story5/', include('Story5.urls')),
    path('story6/',include('Story6.urls', namespace = 'templates')),
    path('story7/', include('Story7.urls')),
    path('story8/', include('Story8.urls')),
]

Story6/models.py
from django.db import models

# Create your models here.
class Kegiatan(models.Model):
	nama_kegiatan = models.CharField(max_length=50)
	def __str__(self):
		return self.nama_kegiatan

class Peserta(models.Model):
	nama_peserta = models.CharField(max_length=50)
	kegiatan = models.ForeignKey(Kegiatan, null = True, on_delete = models.SET_NULL)

	def __str__(self):
		return self.nama_peserta;
	

Story6/forms.py
from django import forms
from .models import Kegiatan, Peserta

class formKegiatan(forms.ModelForm):
	class Meta:
		model = Kegiatan
		fields = "__all__"

class formPeserta(forms.ModelForm):
	class Meta:
		model = Peserta
		fields = "__all__"
	

Story6/views.py
from django.shortcuts import render, redirect
from .models import Kegiatan,Peserta
from .forms import formKegiatan, formPeserta

# Create your views here.
def list_kegiatan(request):
    list_kegiatan = Kegiatan.objects.all()
    data_kegiatan = []
    for kegiatan in list_kegiatan:
        list_peserta = Peserta.objects.filter(kegiatan=kegiatan)
        data_peserta = []
        for peserta in list_peserta:
            data_peserta.append(peserta)
        data_kegiatan.append((kegiatan,data_peserta))
    context = {'data_kegiatan':data_kegiatan,'number':5}
    return render(request,'kegiatan.html',context)

def tambah_peserta(request):
    form = formPeserta()
    if (form.is_valid and request.method == 'POST'):
        form = formPeserta(request.POST)
        form.save()
        return redirect('/story6')
    context = {'form':form,'number':5}
    return render(request,'tambahpeserta.html',context)

def tambah_kegiatan(request):
    form = formKegiatan()
    if (form.is_valid and request.method == 'POST'):
        form = formKegiatan(request.POST)
        form.save()
        return redirect('/story6')

    context = {'form':form,'number':5}
    
    return render(request,'tambahkegiatan.html',context)

Story6/templates/kegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
        <title>Kegiatan</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" 
        href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
        crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css?family=Roboto:700&display=swap"rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700&display=swap" rel="stylesheet">
        <link href='https://fonts.googleapis.com/css?family=Lalezar' rel='stylesheet'>
        <link href="https://fonts.googleapis.com/css?family=Jura" rel='stylesheet'>
        <style type="text/css">
            
            body {
                font-family: 'Jura';
                background-image: url('{% static 'img/navbg.jpg' %}');
            }
            
        </style>

{% endblock meta %}

{% block content %}
<br>
<div class = "container text-center">
        <h1 class="text-center">
            Daftar Kegiatan
        </h1>
          <div class="row">

            {% for i in data_kegiatan %}
              <div class="card" style="width: 100%;">
                  <div class="card-body">
                    
                    <h5 class="card-title mb-3"><b>{{i.0.nama_kegiatan}}</b></h5>
                    <p class="card-text">
                        {% for a in i.1 %}
                        <div>{{a.nama_peserta}}</div>
                        {% endfor %}
                        </p>
                        
                        
                </div>
          </div>
          {% endfor %}
          
        </div>
        <br>
        <div class="text-center"><a class="btn btn-sm btn-info" href="tambahkegiatan">Tambah Kegiatan</a></div>
        <br>
        <div class="text-center"><a class="btn btn-sm btn-info" href="{% url 'templates:tambahpeserta' %}">Tambah Peserta</a></div>
        <br><br><br><br><br><br>
    </div>
</div>

{% endblock content %}

Story6/templates/tambahkegiatan.html
<form action="" method="post">
    {% csrf_token %}
{{form}}
<input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Tambah">
<a class="btn btn-lg btn-block btn-info" href="/kegiatan">Batal</a>
</form>

Story6/templates/tambahpeserta.html
<form action="" method="post">
    {% csrf_token %}
{{form}}
<input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Tambah">
</form>